it-swarm.com.ru

Почему мой autoload.php из composer не работает?

У меня есть проект, я использую Composer и ​​импортирую многие вещи по нему ... Мне нужен файл autoload.php в моем индексе (корень проекта) и istead Slim, Mongo, Twig работают очень хорошо. Но когда я называю класс Respect/Validation, это не работает; если я просто использую Respect/Validation, ошибка будет такой:

Class 'Respect\Validation\Validator' not found in (path of file when i need it).

если я пытаюсь также потребовать здесь autoload.php ошибки:

**Warning**: require_once(vendor/autoload.php): failed to open stream: No such file or directory in (path of file when i need it)

**Fatal error**: require_once(): Failed opening required 'vendor/autoload.php' (include_path='.;C:\xampp\php\PEAR') in (path of file when i need it)

18
Matteo Calò

Если вы используете файл (file.php) в определенном каталоге, например:

/app/controller/validation

и ваш каталог поставщика находится в базовом пути проекта, вам нужно включить относительный путь к каталогу поставщика:

../../../vendor/autoload.php
17
Davide Pastore

Попробуйте использовать php composer dump-autoload. Это может решить эту проблему.

22
ciruvan

Я сделал это. Я проверил файл и разрешения, как всегда, но все выглядит хорошо. Затем я открываю autoload.php и вижу ... о! у нас есть __DIR__ конечно.

Я делал это

require '../../vendor.autoload.php';

Изменился на 

require __DIR__.'../../vendor.autoload.php';

Не политкорректно, но на данный момент меня расстраивает расстраивающая трата времени.

конечно, есть лучшие альтернативы __DIR__, такие как использование BASE Path и т. д. Но это сработало для меня.

8
Abhishek Dujari

В моем случае я просто забыл изменить свой рабочий каталог перед запуском команды composer require cboden/ratchet в cmd, это исправило cd c:\path to project\ затем composer require cboden/ratchet

0
atswann

У меня была такая же проблема с xampp. Я установил композитор и использовал:

composer create-project --stability=dev --prefer-dist yiisoft/yii2-app-basic D:\xampp\htdocs\newapp

Моя проблема решена сейчас.

0
jaip

У меня была та же проблема, и я решил ее, используя последнюю версию laravel, просто попробуйте этот код, чтобы создать свой проект:

composer create-project laravel/laravel exampleProject --prefer-dist

это всегда использует последнюю версию.

0
user4673171

Я решил простое повторное обновление композитора из проекта Root. (мой случай был на Magento2, но ошибка и путь совпадают)

0
Francesco Tanganelli

Я решаю проблему без install или update из composer и просто перемещая require_once из подкласса в main page.

require_once 'vendor/autoload.php';
0
Sayed Abolfazl Fatemi